{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.crl.evoker": {
      "arrays": {
        "textures": {
          "Array.skins": ["Texture.male", "Texture.female"]
        }
      },
      "geometry": "Geometry.default",
      "materials": [{ "*": "Material.default" }],
      "part_visibility": [
        { "*": true },
        { "closed_arms": "!(query.is_casting || query.is_celebrating)" },
        { "leftArm": "query.is_casting || query.is_celebrating" },
        { "rightArm": "query.is_casting || query.is_celebrating" }
      ],
      "textures": ["Array.skins[v.random_base]"]
    },
    "controller.render.crl.evoker.face": {
      "geometry": "Geometry.face",
      "materials": [{ "*": "Material.default" }],
      "textures": ["v.is_male ? Texture.male_face : Texture.female_face"]
    },
    "controller.render.crl.evoker.hair": {
      "arrays": {
        "textures": {
          "Array.long_hair": [
            "Texture.hair_long_white",
            "Texture.hair_long_blonde",
            "Texture.hair_long_black",
            "Texture.hair_long_brown"
          ],
          "Array.short_hair": [
            "Texture.hair_blonde_bald",
            "Texture.hair_white",
            "Texture.hair_brown",
            "Texture.hair_brown2",
            "Texture.hair_black",
            "Texture.hair_black2",
            "Texture.hair_blonde",
            "Texture.hair_blonde2"
          ]
        }
      },
      "geometry": "Geometry.default",
      "materials": [{ "*": "Material.default" }],
      "textures": ["v.is_male ? Array.short_hair[v.random_hair] : Array.long_hair[v.random_hair]"],
      "overlay_color": {
        "r": "0.0",
        "g": "0.0",
        "b": "0.0",
        "a": "0.5"
      }
    }
  }
}
